Bug 74710 - Grip's 'cdparanoia' doesn't work for reg. users.
Grip's 'cdparanoia' doesn't work for reg. users.
Product: Red Hat Linux
Classification: Retired
Component: grip (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2002-09-30 22:01 EDT by Ali-Reza Anghaie
Modified: 2014-03-16 22:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-06 00:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2002-09-30 22:01:07 EDT
Description of Problem:   
The 'cdparanoia' default doesn't work. Debug output wasn't really helpful.   
'cdda2wav' works fine though.   
It seems to be a permissions problem with running cdparanoia. I'm filling this  
against grip because I ~think~ it should perhaps use a wrapper or something to  
get room perms. Or default to 'cdda2wav' since it works straight out of the  
Version-Release number of selected component (if applicable):   
How Reproducible:   
Steps to Reproduce:   
1. Run grip, don't change default 'cdparanoia'.  
2. Try to rip a CD. Just to WAV or to OGG.   
3. Watch it instantly get done. But do nothing expect write indeces.   
Actual Results:   
Nothing. That is the problem.  ;-)   
Expected Results:   
I want my OGG! I'd expect it to rip to WAV and allow conversion.   
Additional Information:   
Come to think of it, cdparanoia itself might be the problem and not grip. I'll   
try to learn it seperatly a bit later and update the bug if you don't get to   
it first. 'cdparanoia' as root works but otherwise fails. I honestly have  
never ripped anything until 8.0 so I'm not yet familiar how it should work.  
I'm not sure if cdparanoia ~should~ require root privs (doesn't make sense is  
cdda2wav works). Anyhow.  
Setting to low/low since it's trivial in any case. 
Cheers, -Ali
Comment 1 Ed Halley 2002-09-30 22:06:28 EDT
I agree that it's proper to file this against grip, even if cdparanoia also has
problems.  I hope the upstream author(s) of grip can add better nursing to the

Grip should offer a message or explanation that a child process (rip, normalize,
tag, encode, whatever) died unexpectedly, with any info available if possible.
Comment 2 Josiah Royse 2002-10-19 22:15:21 EDT
This is behavior found on CDR[W] drives under the ide-scsi emulation that is
enabled by default in the /etc/grub.conf file:

kernel /boot/vmlinuz-2.4.18-17.8.0 ro root=LABEL=/ hdc=ide-scsi

You can disable ide-scsi for the CDRW drive- which temporarily prevents you from
using the drive to burn disks, but allows you to use cdparanoia.
Comment 3 Mike Wright 2002-11-03 10:48:45 EST
I had this problem. I solved it by adding the ordinary users to the "disk" group
in the /etc/group file.
Comment 4 Bill Nottingham 2003-02-06 00:18:53 EST
Fixed with kudzu-0.99.92-1.

Note You need to log in before you can comment on or make changes to this bug.